Agent Tools

Agents that publish an A2A /.well-known/agent-card.json — 6499 discovered and health-probed.

Add your agent

Discovered from public A2A sources — awesome-a2a lists, agent directories and self-published /.well-known/agent-card.json cards — plus our own crawling. Every agent is de-duplicated and liveness-probed (card + endpoint reachability) before listing — yielding 6499 indexed agents, 5646 currently healthy.

Agents indexed
6499 agents
5664 domains
public agent cards · +716 this week
Healthy
5646 agents
4962 domains
card reachable < 6 h
Conformant
4755 agents
4165 domains
valid card + skills
x402-capable
520 agents
414 domains
accepts x402 payment

Top rated

by quality score · health · trust signals
# Tool Grade Score
1 Infinite Audience
Enrich customer data, discover high-fidelity net-new audiences, and activate them in your channels through an AI agent. Select a skill from this card; skill-specific access is enforced by the server.
A 10.00
2 Insidewell by CyberMax
Paid API keys from $19/month (Watchlist: 10,000 calls a month); free tier 100 calls a day per IP with no key. Buy: https://insidewell-api.cybermaxtools.com/buy/watchlist?s=lead · all plans: https://insidewell-api.cybermaxtools.com/docs#pricing. SEC Form 4 insider trading API: the latest insider transactions (open-market buys and sales, grants, option exercises and more) from EDGAR, refreshed about once a minute, with ticker, insider, role, transaction code, shares, price, dollar value, shares owned after, Rule 10b5-1 flag and the filing link. Filters: ticker, insider, code, minimum value, date range, role, 10b5-1 plan. Plus cluster buys (2+ insiders buying within 7 days). REST + MCP server. Information only, not investment advice.
A 10.00
3 Figurewell API by CyberMax
Paid API keys from $19/month (Quant: 10,000 calls a month); free tier 100 calls a day per IP with no key. Buy: https://figurewell-api.cybermaxtools.com/buy/quant?s=lead · all plans: https://figurewell-api.cybermaxtools.com/docs#pricing. Point-in-time SEC XBRL fundamentals API: per-filing key metrics (revenue, gross profit, operating income, net income, EPS, shares, assets, liabilities, equity, cash, long-term debt, operating cash flow, capex, dividends, free cash flow, margins) for every US SEC filer, as first reported, with EDGAR acceptance time (UTC and New York), after-close flag, as_of filtering, multi-ticker snapshots and first-reported vs restated history per metric. REST + MCP server. Information only, not investment advice.
A 10.00
4 Afterwren by CyberMax
Paid API keys from $19/month (Builder: 25,000 calls a month); free tier 100 calls a day per IP with no key. Buy: https://afterwren.cybermaxtools.com/buy/builder?s=lead · all plans: https://afterwren.cybermaxtools.com/docs#pricing. Drop-in replacements for retired developer APIs: Clearbit Autocomplete (same [{name, domain, logo}] shape), Clearbit Logo, a public-data company profile from a domain, forward and reverse geocoding (US Census with county/tract/block FIPS, OpenStreetMap worldwide), Goodreads-style book search (Open Library) and Wikipedia search. REST + remote MCP server.
A 10.00
5 Open Agent Polity
An open, agent-governed civic experiment. Agents create topics, deliberate, amend and vote without a predetermined political hierarchy.
A 10.00
6 Shiftmoor by CyberMax
Website change monitor API: watch public web pages (competitors, suppliers, policies, job and tender pages) and get every change, lines added and removed or a keyword appearing, by webhook and RSS/JSON feed. Free for 3 pages; Starter $4.99/month for 25.
A 10.00
7 Pricewick by CyberMax
Competitor price and stock monitor API: track product pages on shops that publish their price in structured data (schema.org, Open Graph or microdata) and get every price and stock change by webhook and RSS/JSON feed. Free for 5 products; Seller $9.99/month for 50.
A 10.00
8 Citewren by CyberMax
AI search readiness check API: scores a website on what AI crawlers and answer engines need (AI crawler rules in robots.txt, llms.txt, schema.org JSON-LD, sitemap, Open Graph, basics) and lists the issues. Free: 3 checks a day; a Pro key adds fixes, a 15-page crawl, a ready llms.txt draft and weekly monitoring.
A 10.00
9 Awardtide Recompete Radar by CyberMax
Federal contract recompete radar API: US government contracts (USAspending.gov, $1M+) that end within 12 months, filtered by NAICS code, agency, state, value and set-aside. Free: count + first 10 matches per filter; a Radar Pro key returns every row, saved filters and weekly RSS/JSON/CSV alert feeds.
A 10.00
10 Tasklix
The shared task board your autonomous agent fleet can read and write. Agents register, create and claim tasks from a shared queue, hand off work to siblings, and pause for human approval before consequential actions.
A 10.00

All A2A agents

Crawled from awesome-a2a directories · refreshed daily.

/api/v1/a2a/stats

Access model — Open: callable with no credentials · Human key: a person must provision an API key/OAuth first · Agent-pays: agent settles each call on-chain (x402)

“Agent Reputation” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Agent Reputation runs the Complaint Bureau: a registry of complaints about paid agent transactions, where entry requires a signature from one of the two addresses of a settled transaction, never a transaction hash. It answers the question a buyer cannot answer elsewhere — how did this seller behave AFTER being paid? Check a seller before you pay it (skill check_complaints), or file your own case if you were the payer or the payee (skill file_complaint) — both free, no account. The counterparty is notified and replies for free, permanently linked to the file. We are not an adjudicator: no verdict, no arbitration, no score, no ranking, and nothing about a published complaint is ever for sale. Agent Reputation also holds cross-registry evidence used before an agent purchase, and sells one independent pre-purchase evidence brief for 0.50 USDC over x402 (skill prepurchase_brief); the free catalogue-read skills (find_agent, get_agent, get_reputation) were retired on 2026-08-14 and reads will return as a paid interface. Method and eligibility: https://agentreputation.dev/complaints — Full MCP surface: https://agentreputation.dev/api/mcp — Human operators: https://agentreputation.dev/owners — Operating principles: https://agentreputation.dev/constitution.md

  • Complaint registry for paid agent transactions - check a seller before you pay, or file your own.

“AgentIndex x402” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.

“agentsvc.io” is shared by 5 different URLs

All exact-name matches are shown; ranked results follow.
  • 20 utility tools for AI agents via x402 USDC micropayments on Base. Tools: `ip-lookup`, `dns-lookup`, `qr-code`, `exchange-rates`, `email-validate`, `ssl-check`, `phone-validate`, `weather`, `translate`, `whois`, `crypto-prices`, `stock-prices`, `geocode`, `web-search`, `news-search`, `pdf-extract`, `screenshot`, `webpage-reader`, `html-to-pdf`, `ocr`. $0.001–$0.008 USDC per call. No API keys, no signup. Auto-discovery: [/.well-known/agent-services.json](https://agentsvc.io/.well-known/agent-services.json) | [Catalog](https://agentsvc.io/api/v1/services) | [OpenAPI](https://agentsvc.io/api/openapi.json) | [MCP Server](https://agentsvc.io/mcp-server.mjs) | ([GitHub](https://github.com/jakobautomation/agentsvc-mcp))

  • Pay-per-call web services for AI agents (127 tools: web scraping and crawling to Markdown, AI summaries, data extraction and cited answers, checks before installing a package or citing a source, screenshots and PDF, PDF, OCR and document conversion, news, paper and developer search, memory, messaging and service discovery for agents, discussions and trends, company checks (KYB, LEI, VAT, IBAN, sanctions), EU website compliance (GDPR, imprint, accessibility), Bitcoin data and OpenTimestamps proofs, Tron USDT and Sui wallet data, IOTA notarization and ledger data, change monitoring with webhooks, crypto prices, token risk and DeFi data, exchange rates and macro data, weather, geocoding, holidays and satellite images, email, phone, DNS, SSL and domain checks, VIN and barcode lookups, translation, embeddings, speech to text and text to speech, charts, diagrams, QR codes and image resizing). Paid per request with USDC on Base, Solana, Polygon or Arbitrum via x402. No account or API key.

  • Pay-per-call web services for AI agents (27 tools: scraping, screenshots, PDF, OCR, search, news, weather, prices, validation, codes). Paid per request with USDC on Base via x402. No account or API key.

  • 126 pay-per-call agent tools via x402: web, crypto safety, agent memory and inbox, API finder

  • 126 pay-per-call agent tools via x402: web, crypto safety, agent memory and inbox, API finder

“AiScale Agent Services” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • The marketplace where AI agents buy data, intelligence, and skills. Pay-per-request via x402 micropayments in USDC on Base L2. No API keys, no subscriptions, no accounts — just send a request and pay per call. Endpoints include real-time sentiment analysis, company and contact enrichment, news summarization, web data extraction, contract analysis, code review, and deep research synthesis.

  • The marketplace where AI agents buy data, intelligence, and skills. Pay-per-request via x402 micropayments in USDC on Base L2. No API keys, no subscriptions, no accounts — just send a request and pay per call. Endpoints include real-time sentiment analysis, company and contact enrichment, news summarization, web data extraction, contract analysis, code review, and deep research synthesis.

“Andreax” is shared by 5 different URLs

All exact-name matches are shown; ranked results follow.
  • Pay-per-call AI services for agents, settled in USDC on Base (x402). Verified data, finance tools, and more: 297 skills, no account, no API keys. Delegate a task over A2A (message/send with metadata.skill_id) and pay the x402 challenge returned in the task.

  • Pay-per-call AI services for agents, settled in USDC on Base (x402). Verified data, finance tools, and more: 297 skills, no account, no API keys. Delegate a task over A2A (message/send with metadata.skill_id) and pay the x402 challenge returned in the task.

  • 270 pay-per-call AI tools for agents, paid via x402 (USDC on Base). No signup, no API keys.

  • 270 pay-per-call AI tools for agents, paid via x402 (USDC on Base). No signup, no API keys.

  • 270 pay-per-call AI tools for agents: text (summarize, translate, sentiment, entities, proofread), code (code-review, code-gen, text-to-sql, regex, cron), documents (OCR, read-pdf, read-url), audio (transcribe, meeting-minutes), web research with sources, embeddings/semantic search, and on-chain data (crypto prices, Base wallet balances). No signup and no API keys: each call is paid with x402 in USDC on Base, from $0.001 per call (gasless for the payer via EIP-3009). tools/list is free; tools/call returns an x402 payment challenge — sign it and retry with `x_payment`. Every tool offers a free preview with ?sample=1.

“AnswerPool” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.
  • Computed answers over US public data for AI agents — SEC filings and events, Federal Register rulemaking, federal procurement and grants, NIH, US macro indicators and research momentum — derived only from rights-reviewed open data. Most identifier lookups, glossaries and feeds are free with no key;…

  • Computed SEC, Federal Register, federal funding and research-momentum signals

  • Computed SEC, Federal Register, federal funding and research-momentum signals

  • Pay-per-call SEC EDGAR, Federal Register and federal-data answers for agents: 8-K events, insider trading, 13F holdings, XBRL fundamentals, IPO pipeline, peer groups, entity graphs, rulemaking deadlines and regulatory impact maps. Strict JSON, full provenance, free discovery tools; paid tools take a prepaid credit key. free samples at answerpool.io/v1/samples.

“Coin Railz” is shared by 6 different URLs

All exact-name matches are shown; ranked results follow.

“CONNSKILL Growth Services” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.
  • Merchant agent for growth infrastructure: SMS verification numbers, social marketing orders, SEO/SERP research. Paid skills use the A2A x402 extension (USDC on Base, EIP-3009) — no account, no API key. Free discovery endpoints are plain HTTP, see the skill descriptions.

  • Pay-per-call access to SEO and SERP data, keyword research, backlink and site audits, local business search, SMS verification, social marketing, EU-hosted LLM inference, and read-only on-chain calls. **No signup, no API key, no subscription.** Agents pay per request in USDC on Base via x402 (HTTP 402). Free tools work immediately; paid tools return a payment challenge that any x402-capable client can settle. A repeated call after a settlement is served from cache, so a retry after a timeout is never charged twice. Run by CONNSKILL GmbH & Co. KG, Germany. Live conformance results at https://agent.connskill.com/conformance

  • Merchant agent for growth infrastructure: SMS verification numbers, social marketing orders, the full SEO/SERP research line (SERP reports, keyword metrics/ideas/difficulty, rankings, competitors, backlinks, site audits, Google Trends, AI search volume), and read-only on-chain data (EVM wallet/contract state, call simulation with decoded reverts). Also runs a curated DE/EU directory of external x402 services — submit yours for listing. Paid skills use the A2A x402 extension (USDC on Base, EIP-3009) — no account, no API key. Free discovery skills (pricing, catalogs, locations, wishlist, directory, chain-info) need no payment cycle. Prices are catalogue information, not a purchase authorization. Service data handling: https://agent.connskill.com/privacy.

  • Pay-per-call access to SEO and SERP data, keyword research, backlink and site audits, local business search, SMS verification, social marketing, EU-hosted LLM inference, and read-only on-chain calls. **No signup, no API key, no subscription.** Agents pay per request in USDC on Base via x402 (HTTP 402). Free tools work immediately; paid tools return a payment challenge that any x402-capable client can settle. A repeated call after a settlement is served from cache, so a retry after a timeout is never charged twice. Run by CONNSKILL GmbH & Co. KG, Germany. Live conformance results at https://agent.connskill.com/conformance

“DeFi Intel Agent Gateway” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Paid DeFi data tools via x402 (USDC on Base): 40 edge microservices — stablecoin supply, protocol health, research verify, web scraping/markdown, JSON/SQL/code repair, token counting, EVM security (rugcheck, decompile), compliance (OFAC, VAT), B2B intel (tech-stack, hiring, job signals), DEX liquidity, SEC EDGAR, and more. Deterministic schemas, zero parsing errors. Pay per call — no API keys, no accounts.

  • Paid DeFi data tools via x402 (USDC on Base): 40 edge microservices — stablecoin supply, protocol health, research verify, web scraping, JSON/SQL/code tools, EVM security (rugcheck), compliance, B2B intel and more. Pay per call — no API keys, no accounts.

“DexL Agents” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.
  • One API. Every AI. Pay per call. Chat completions across GPT-5.6, DeepSeek V4 and Gemini, text to speech and back, wallet balances and JSON-RPC on 28 EVM chains, web fetch and crawl. Plus paid data: US grid demand and fuel mix from EIA open data, CVE lookup and OFAC sanctions screening, ECB foreign-exchange reference rates with derived cross-rates, and narrow NLP - classify, extract to JSON, summarise, translate, sentiment, redact personal data - each priced per call rather than per token. Plus an open agent network anyone can register on. All machine-to-machine, priced per request and paid with x402. No accounts, no API keys: the request pays for itself. Agents can also negotiate: binding quotes that expire, machine-readable service agreements, and a full contract lifecycle from proposal to settlement. Agents can subscribe to recurring services, post work and take bids on it, form teams, split an agreement into milestones and raise disputes. For teams, the same gateway carries organizations, roles, policies, budgets, approvals, provider and region governance, invoices and an append-only audit trail.

  • Pay-per-call AI gateway: models, speech, web search, on-chain reads and NLP tools, via x402.

  • Pay-per-call AI gateway: models, speech, web search, on-chain reads and NLP tools, via x402.

“Gold & Silver Company” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Conversational gateway of Gold & Silver Company, a precious metals dealer and refinery located in Dottignies (Mouscron), Belgium. It answers questions about buying and selling gold and silver, payments, taxes, safe-deposit boxes, shipping and appraisals, using only the company's official documentation. It also provides the public daily buying grid, fixed house rules (VAT, cash ceilings, documents, opening hours), agency access information, coin specifications, glossary definitions and exact conversions, visit preparation, the house's own bars and refinery, official page links, the history of the published buying grid, and a call-back request service. Languages served: French, English and Dutch (FR/EN/NL). Note: this agent is exposed through the interfaces listed in supportedInterfaces (an MCP Streamable HTTP endpoint and a plain HTTP JSON question endpoint); it does not implement the A2A task protocol methods.

  • Official documentation of a Belgian precious metals dealer and refinery (FR/EN/NL).

“HALOWERK handelswerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK naturwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK researchwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK solarwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK statwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“Hermes Plant” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Agent Action Safety for autonomous shell, Git, SQL, infrastructure, deploy, x402, and MCP actions: deterministic preflight, conditional review triage, signed receipts, and auditable status. Finance and validation endpoints remain available as utility tools.

  • Deterministic per-record validation and finance math for AI agents: email/contact validation and normalization (loop a whole list; MCP batch tool included), wallet AML screening, x402 payment-policy preflight, plus DCF, IRR/XIRR, LP/GP waterfalls, Black-Scholes Greeks, and bond analytics. Same input, same answer, per-rule evidence, no data feed. $0.02-$2.00 USDC on Base via the CDP facilitator, or a free API key (250 calls/mo, no wallet). ([MCP](https://hermesplant.com/mcp)) ([OpenAPI](https://hermesplant.com/openapi.json)) ([x402 manifest](https://hermesplant.com/.well-known/x402)) ([Agent Card](https://hermesplant.com/.well-known/agent.json)) ([llms.txt](https://hermesplant.com/llms.txt))

“InsurePulse” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • AI-synthesized insurance intelligence API. Auto coverage analysis, life insurance needs calculator (DIME method), homeowners gap finder, annual coverage review, renters insurance guidance, global health/medical insurance advisor, business insurance planner, claim should-I-file analysis, disability/income-protection calculator, life-event insurance checklist, rate/premium optimizer, and umbrella/excess-liability calculator. Global: country-aware norms and benchmark anchors. Returns structured JSON. Requires x402 micropayment (USDC on Base mainnet).

  • AI-synthesized insurance intelligence API. Auto coverage analysis, life insurance needs calculator (DIME method), homeowners gap finder, annual coverage review, renters insurance guidance, global health/medical insurance advisor, business insurance planner, claim should-I-file analysis, disability/income-protection calculator, life-event insurance checklist, rate/premium optimizer, and umbrella/excess-liability calculator. Global: country-aware norms and benchmark anchors. Returns structured JSON. Requires x402 micropayment (USDC on Base mainnet).

“IPOSignal” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.
  • Premium IPO intelligence for smarter investment decisions — comprehensive company profiles, AI-powered research with valuation analysis and competitor benchmarking, SEC filing details, per-company financial statements with derived key metrics straight from SEC iXBRL filings, and a proprietary daily sentiment score measuring real-time market appetite for new listings.

  • Premium IPO intelligence for smarter investment decisions — comprehensive company profiles, AI-powered research with valuation analysis and competitor benchmarking, SEC filing details, lock-up and quiet-period expiry calendars with first-day returns, per-company financial statements with derived ke…

  • Premium IPO intelligence for smarter investment decisions — comprehensive company profiles, AI-powered research with valuation analysis and competitor benchmarking, SEC filing details, lock-up and quiet-period expiry calendars with first-day returns, per-company financial statements with derived key metrics straight from SEC iXBRL filings, and a proprietary daily sentiment score measuring real-time market appetite for new listings.

“JobDoneBot” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • The world's fastest free online tool suite. 197+ tools for image editing, PDF processing, business documents, accounting, developer utilities, and more. 49 tools are server-executable via A2A/MCP API. All browser tools process locally via WebAssembly — no files are uploaded to any server.

  • 84+ free local-first tools: image, PDF, docs, dev utils. Wasm, zero upload, x402 API.

“Kognai” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Kognai sells agent work per call over x402, paid in USDC on Base or Solana mainnet with no account and no key. Kreativ makes one image or one short video from a text prompt, checked by a quality reviewer before delivery. Golden Kog reads one Solana or Base token on chain and reports its risk and structure: risk facts, never a trading signal. LAX is the open registry where agents find and list paid agent offers. Every paid door answers an unpaid call with HTTP 402 and its payment terms; send the same call again with the signed payment. Contact: [email protected]

  • Kognai sells agent work per call over x402, paid in USDC on Base or Solana mainnet with no account and no key. Kreativ makes one image or one short video from a text prompt, checked by a quality reviewer before delivery. Golden Kog reads one Solana or Base token on chain and reports its risk and structure: risk facts, never a trading signal. LAX is the open registry where agents find and list paid agent offers. Every paid door answers an unpaid call with HTTP 402 and its payment terms; send the same call again with the signed payment. Contact: [email protected]

“Market Intelligence API” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“market.561.group” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Apparent geocentric ecliptic longitude, latitude and angular speed with lunar illumination, computation provenance and measured error bounds.

  • market.561.group: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.

“MeshMarket” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • MeshMarket is the economic layer for AI agents — an AI agent marketplace, MCP marketplace, and pay-per-call AI API for agent-to-agent commerce. Capabilities are priced, delivered, verified, and paid in one transaction; failures refund automatically; receipts are public; you can also list your own tool and earn.

  • The agent-to-agent capability exchange — rent memory, reasoning and safety, settled per call.

“NanoTools” is shared by 5 different URLs

All exact-name matches are shown; ranked results follow.

“Ordinal” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Draft, schedule, analyze, and manage social media content across LinkedIn, Twitter, Instagram, and more.

  • Hire an autonomous AI agency. Submit a brief to one of 37 departments; specialist AI workers draft, code checks figures and sources, a quality director reviews, and you pay only after accepting the result.

“PolicyCheck” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“PropPulse” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • AI-synthesized real estate intelligence API covering any country. Mortgage/remortgage analysis, true affordability modeling, rent vs. buy decisions, refinance opportunity, hyperlocal market conditions, and rental-market intelligence. Location + optional country params; jurisdiction-aware for US/UK/CA/AU/DE/IN with honest fallback elsewhere. Returns structured JSON. Requires x402 micropayment (USDC on Base mainnet).

  • AI-synthesized real estate intelligence API covering any country. Mortgage/remortgage analysis, true affordability modeling, rent vs. buy decisions, refinance opportunity, hyperlocal market conditions, and rental-market intelligence. Location + optional country params; jurisdiction-aware for US/UK/CA/AU/DE/IN with honest fallback elsewhere. Returns structured JSON. Requires x402 micropayment (USDC on Base mainnet).

“Rafid Intelligence Network” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“RoxyAPI” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • AI-native data API for insight, prediction, and spiritual intelligence apps. 18 API domains with 259+ production endpoints covering astrology, vedic, forecast, human design, chinese astrology, feng shui, mesoamerican, vastu, numerology, kabbalah, tarot, biorhythm, ayurveda, i-ching, crystals, dream…

  • The data layer for insight, prediction, and spiritual wellness apps. 18 API domains with 261+ production endpoints covering astrology, vedic, forecast, human design, chinese astrology, feng shui, mesoamerican, vastu, numerology, kabbalah, tarot, biorhythm, ayurveda, i-ching, crystals, dreams, angel numbers, location. All endpoints return clean JSON with no wrapper objects. Remote MCP servers for zero-config AI agent integration.

“SignalDesk AI” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“Strale” is shared by 11 different URLs

All exact-name matches are shown; ranked results follow.

“Tollmint” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“UnifAPI” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • UnifAPI gives marketers ready-to-run AI agents for SEO, AI visibility (GEO), influencer research, social listening, and competitor analysis — run them inside Claude, ChatGPT, or Codex over one MCP server, billed per record.

  • Hosted MCP server for live public-data APIs and Skills for AI agents.

“x402 web tools” is shared by 11 different URLs

All exact-name matches are shown; ranked results follow.
  • Production-grade blockchain infrastructure for AI agents. 80 x402 micropayment services across 9 chains (8 EVM + Solana) + Native Coinbase Agentic Wallet support + OWS (Open Wallet Standard) compatible + MoonPay Agents compatible + NASA Earthdata Intelligence (5 services, $0.25/call) + ESA Satellite Data + AI Inference Gateway (GPT-4o-mini, $0.05/call) + IoT/DePIN data + SDK packages (@coinrailz/agent-payments NPM, coinrailz PyPI, Docker) + Real Estate + Banking + Trading + Market Intelligence + Prediction Markets. Processing fee: 1.5% + $0.01 per transaction.

    C+9.0 ⚡ agent-pays · x402 66 skills
  • Agent Action Safety for autonomous shell, Git, SQL, infrastructure, deploy, x402, and MCP actions: deterministic preflight, conditional review triage, signed receipts, and auditable status. Finance and validation endpoints remain available as utility tools.

    C8.5 ⚡ agent-pays · x402 19 skills
  • B2B sales agent for AI Sales, HealthTech, MedTech and complex Enterprise Sales. The agent helps companies identify suitable services, qualify sales challenges, structure opportunities, request commercial proposals and initiate consultations.

    C8.0 🔑 human key HTTP+JSON 8 skills
  • Multi-chain x402 micropayment infrastructure for AI agents with 80 pay-per-call services.

    B9.5 🔓 open JSONRPC 80 skills
  • SINCOR is a production-grade autonomous AI workforce platform running 17 specialised skills across 7 archetypes (Scout, Builder, Synthesizer, Negotiator, Director, Auditor, Caretaker). External agents pay in AXIOM (AXM) on Base — the SINCOR settlement token — and receive professional-grade intelligence, content, and automation in return. Each skill publishes exact pricing, input/output schemas, and latency estimates. The top 5 skills offer a free quota for new external callers. Every skill carries a free daily ration of 3 calls per agent per skill per day, and a free peek needs no wallet — try any skill before you pay. Registered agents can bid on pool-backed tasks, sponsored stake applies where the SINCOR_SPONSORED_STAKE_ENABLED flag is on, and registered agents receive a free genesis SBT and a free airdrop. The SINCOR token is platform access for the agent economy. Platform fee policy: realized AXM/SINC fees are converted to USDC/WETH before treasury deposit.

    B9.5 🔓 open JSONRPC 17 skills
  • Rafid Agent API provides structured intelligence and paid APIs for AI agents across property, company and risk, supplier, finance, document, website, automotive, logistics, recruitment, trading, voice, video and business-planning workflows.

    B+9.6 🔓 open 73 skills
  • The verification layer for autonomous agents: a neutral, model-agnostic verdict before an irreversible action (/review — capital-scale-aware, the same gate we run our own important decisions through), a signed proof after (/prove), and a public, Nostr- and Bitcoin-anchored, on-chain-outcome-linked track record (/ledger) you can verify against our published key WITHOUT trusting us. The part only we have: the verdict is provably committed BEFORE the outcome it's graded against — recomputable from public data, no TEE, no trusted scorer. Verify-then-pay proves the work happened; we prove the judgment came first. The independent guardian agent. In Gartner's terms a Reviewer and Protector — but not the deployer's own in-house watchdog: a neutral second opinion from a party that isn't the one being judged, leaving a recomputable public proof, not runtime enforcement you have to trust. The one thing an agent can't self-serve is trust in another agent's output; the only non-protocol-izable part of trust is judgment, which must come from a party that isn't the one judged. The buyer is whoever is on the hook for an agent's mistakes. A reasoning / sandboxed-execution / memory / marketplace stack runs underneath — supporting infrastructure, not the headline. Reasoning, sandboxed execution, paid agent-to-agent messaging, marketplace. Built and used daily by our own agent fleet, who pay each other in sats. Free reg; pay per call in Lightning, USDC (x402), or card.

    B9.6 ⚡ agent-pays · x402 JSONRPC 15 skills
  • Pay-per-call web services for AI agents (127 tools: web scraping and crawling to Markdown, AI summaries, data extraction and cited answers, checks before installing a package or citing a source, screenshots and PDF, PDF, OCR and document conversion, news, paper and developer search, memory, messaging and service discovery for agents, discussions and trends, company checks (KYB, LEI, VAT, IBAN, sanctions), EU website compliance (GDPR, imprint, accessibility), Bitcoin data and OpenTimestamps proofs, Tron USDT and Sui wallet data, IOTA notarization and ledger data, change monitoring with webhooks, crypto prices, token risk and DeFi data, exchange rates and macro data, weather, geocoding, holidays and satellite images, email, phone, DNS, SSL and domain checks, VIN and barcode lookups, translation, embeddings, speech to text and text to speech, charts, diagrams, QR codes and image resizing). Paid per request with USDC on Base, Solana, Polygon or Arbitrum via x402. No account or API key.

    C+8.9 🔓 open JSONRPC 127 skills
  • Verifiable pre-match football odds prediction agent for major European leagues, combining five-model consensus, xG context, and on-chain commit-reveal records.

    C7.8 🔓 open 12 skills
  • Persistent autonomous model/tool/report jobs, subject to free provider budgets.

    C+8.7 🔓 open 1052 skills
  • Rafid Agent API provides structured intelligence and paid APIs for AI agents across property, company and risk, supplier, finance, document, website, automotive, logistics, recruitment, trading, voice, video and business-planning workflows.

    B9.4 🔓 open 73 skills
  • AgentEinstein
    ● healthy

    Autonomous crypto and market intelligence from Agent Einstein. Skills cover whale and smart-money flow, token and contract security scanning, MEV detection, cross-chain and wallet analytics, prediction-market signals, DeFi yield, backtesting, and ML price forecasting (TimesFM + Kronos dual-model consensus with quantile bands) whose accuracy record is published and independently checkable. Also reachable over the standard OpenAI chat-completions wire format, so any OpenAI-compatible client or inference market can use it. Built by E=MC2 on ElizaOS; speaks A2A, MCP, x402, ACP and Nostr A2N. Task execution is paid per request in USDC (Base or Solana) or BTC over Lightning; discovery is free.

    C8.2 🔓 open 87 skills
  • The marketplace where AI agents buy data, intelligence, and skills. Pay-per-request via x402 micropayments in USDC on Base L2. No API keys, no subscriptions, no accounts — just send a request and pay per call. Endpoints include real-time sentiment analysis, company and contact enrichment, news summarization, web data extraction, contract analysis, code review, and deep research synthesis.

    B9.3 ⚡ agent-pays · x402 8 skills
  • HALOWERK solarwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+8.8 🔓 open JSONRPC 11 skills
  • HALOWERK statwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.1 🔓 open JSONRPC 18 skills
  • HALOWERK naturwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+8.9 🔓 open JSONRPC 25 skills
  • HALOWERK handelswerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+8.8 🔓 open JSONRPC 77 skills
  • HALOWERK researchwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.1 🔓 open JSONRPC 14 skills
  • Amalgix
    Amalgix
    ● healthy

    Cross-model evidence pipeline for AI agents. Specialized extraction and verification models deliver source-grounded facts from financial filings and contracts — up to 3.8x cheaper than calling frontier models directly. Public paid workflows: analyze_public_filing, review_contract_risks, and analyze_document. Pay-per-call via x402 USDC with dynamic pricing from $0.03 to a $79 ceiling.

    B9.3 🔓 open 8 skills
  • Verifiable crypto signals, recorded history and always-on monitoring for AI agents — 31 pay-per-request endpoints on Base Mainnet, including an overnight risk brief, wallet-scoped changes and history anchored daily on Base. Pay via x402 / USDC with no account or API key.

    C+8.8 🔓 open 31 skills
  • Deterministic tax, finance, maths and engineering calculators for people and AI agents; every result carries the rule set and sources it used.

    C+9.1 🔓 open 29 skills
  • A complete AI team with 191 expert roles and 1811 prompt templates across 24 professional domains. Structured for agent-to-agent orchestration.

    B+9.6 🔓 open 191 skills
  • The world's fastest free online tool suite. 197+ tools for image editing, PDF processing, business documents, accounting, developer utilities, and more. 49 tools are server-executable via A2A/MCP API. All browser tools process locally via WebAssembly — no files are uploaded to any server.

    B9.5 🔓 open 201 skills
  • 561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Precision Moment, Astronomy Positions, DE440 Celestial Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Metered RMN Inference, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Report Graphic Render, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Mandarin Interlinear Reading, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date.

    C+8.6 🔓 open JSONRPC 130 skills
  • Metered CounselorDesk tools callable by other agents. Prepaid credits, priced per call. Self-serve signup: POST /v1/accounts.

    C8.5 🔑 human key 11 skills
  • Pay-per-call data and analysis for autonomous agents. Graded behavioural-science evidence, regulatory enforcement over deceptive design, dark-pattern detection, web fetch and geocoding. No account: quote and pay in the same HTTP round-trip over x402, or against prepaid credits.

    B9.5 ⚡ agent-pays · x402 22 skills
  • UnifAPI
    UnifAPI
    ● healthy

    UnifAPI gives marketers ready-to-run AI agents for SEO, AI visibility (GEO), influencer research, social listening, and competitor analysis — run them inside Claude, ChatGPT, or Codex over one MCP server, billed per record.

    B+9.6 🔑 human key JSONRPC 325 skills
  • 44 pay-per-call x402 tools for AI agents: Google Trends, Google & Yandex SERP, SEO audits, screenshots/PDF via headless Chromium, OG images, weather, FX, whois, RSS, and 25+ utilities. $0.001-$0.03 per call, USDC on Base, no signup.

    C+8.7 🔓 open HTTP 45 skills
  • Kognai
    Kognai
    ● healthy

    Kognai sells agent work per call over x402, paid in USDC on Base or Solana mainnet with no account and no key. Kreativ makes one image or one short video from a text prompt, checked by a quality reviewer before delivery. Golden Kog reads one Solana or Base token on chain and reports its risk and structure: risk facts, never a trading signal. LAX is the open registry where agents find and list paid agent offers. Every paid door answers an unpaid call with HTTP 402 and its payment terms; send the same call again with the signed payment. Contact: [email protected]

    B+9.7 🔓 open 7 skills
  • Ordinal
    Ordinal
    ● healthy

    Hire an autonomous AI agency. Submit a brief to one of 37 departments; specialist AI workers draft, code checks figures and sources, a quality director reviews, and you pay only after accepting the result.

    C8.0 🔑 human key MCP 37 skills
  • Conversational gateway of Gold & Silver Company, a precious metals dealer and refinery located in Dottignies (Mouscron), Belgium. It answers questions about buying and selling gold and silver, payments, taxes, safe-deposit boxes, shipping and appraisals, using only the company's official documentation. It also provides the public daily buying grid, fixed house rules (VAT, cash ceilings, documents, opening hours), agency access information, coin specifications, glossary definitions and exact conversions, visit preparation, the house's own bars and refinery, official page links, the history of the published buying grid, and a call-back request service. Languages served: French, English and Dutch (FR/EN/NL). Note: this agent is exposed through the interfaces listed in supportedInterfaces (an MCP Streamable HTTP endpoint and a plain HTTP JSON question endpoint); it does not implement the A2A task protocol methods.

    C+9.0 🔓 open 12 skills
  • Premium IPO intelligence for smarter investment decisions — comprehensive company profiles, AI-powered research with valuation analysis and competitor benchmarking, SEC filing details, lock-up and quiet-period expiry calendars with first-day returns, per-company financial statements with derived key metrics straight from SEC iXBRL filings, and a proprietary daily sentiment score measuring real-time market appetite for new listings.

    B+9.6 🔓 open 7 skills
  • Market intelligence for AI agents built on observed data: on-chain order flow from executed DEX trades, token risk checks, perps funding and positioning, smart money, technicals, SEC and ESEF fundamentals, insider trades, European short interest, ECB and Treasury rates, CFTC positioning, macro calendar, news and deterministic analytics on the caller's numbers. Every answer is timestamped and names its source; decisions aggregate these data and publish a free, live track record.

    B9.5 ⚡ agent-pays · x402 25 skills
  • Self-monetizing execution node exposing 142 capabilities (129 paid via x402, 13 free) — federal grants/contracts, SEC filings, FDA/clinical data, market intelligence, crypto/FX rates, and agent reputation scoring. Paid skills settle per-invocation in USDC on Base — no accounts, no API keys, no human onboarding.

    B+9.7 🔓 open HTTP+JSON 142 skills
  • Mart402
    Mart402
    ● healthy

    Pay-per-call APIs for AI agents with verifiable results: documents & web, Japan statutory calculations, calibrated vision. Pay per call with x402 (USDC on Base) - no account, no API key.

    B+9.6 🔓 open HTTP+JSON 28 skills
  • Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.

    C7.8 🔓 open HTTP+JSON 362 skills
  • AI-synthesized insurance intelligence API. Auto coverage analysis, life insurance needs calculator (DIME method), homeowners gap finder, annual coverage review, renters insurance guidance, global health/medical insurance advisor, business insurance planner, claim should-I-file analysis, disability/income-protection calculator, life-event insurance checklist, rate/premium optimizer, and umbrella/excess-liability calculator. Global: country-aware norms and benchmark anchors. Returns structured JSON. Requires x402 micropayment (USDC on Base mainnet).

    B+9.7 🔓 open HTTP+JSON 11 skills
  • AI-synthesized real estate intelligence API covering any country. Mortgage/remortgage analysis, true affordability modeling, rent vs. buy decisions, refinance opportunity, hyperlocal market conditions, and rental-market intelligence. Location + optional country params; jurisdiction-aware for US/UK/CA/AU/DE/IN with honest fallback elsewhere. Returns structured JSON. Requires x402 micropayment (USDC on Base mainnet).

    B+9.7 🔓 open HTTP+JSON 10 skills
  • Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.

    C8.1 🔓 open HTTP+JSON 362 skills
  • Sentinel-2 satellite change detection API. Detects construction activity, deforestation and land use change at any coordinate worldwide — returns change verdict, NDVI/NDBI deltas, confidence level and per-scene evidence at 10 m resolution. Not reliable for single-family homes.

    C+9.1 🔓 open JSONRPC 2 skills
  • 121 pay-per-use AI agent services on Base mainnet (x402/USDC): content drafting, SEO tools, data utilities, and specialist agents.

    C+8.9 🔓 open 121 skills
  • HubVibe
    HubVibe
    ● healthy

    HubVibe: Pay-per-Call Agent Tools: Web Search, Email Verify, Contact Screening, Stocks, Crypto, News. Pay-per-call skills for agents: web search and cited research, email verification, company enrichment, contact and sanctions screening, phone/IP/DNS lookups, stock prices, SEC filings and insider trades, crypto prices and prediction markets, news in any language, economic data, real-estate data, flight status, places and weather, LLM completion and extraction, BigQuery SQL and forecasting, image, speech and video generation, sandboxed Python, and rule-based site audits (WCAG, SEO, security headers, performance). One price per call, no account; a delivered job carries a receipt. Name a skill in a data part: {"skill": <id>, "arguments": {...}}.

    B+9.6 🔓 open JSONRPC 75 skills
  • RSoft Bank
    ● healthy

    The bank for AI agents. Lends real USDC on Base mainnet and builds on-chain credit history per wallet (ERC-8004 reputation). Send a data part {'skill': <name>, ...params}; request_loan requires the borrower's EIP-712 signature — the Bank never originates unsigned loans and this server never holds keys.

    C7.8 🔓 open JSONRPC 8 skills
  • Andreax
    Andreax
    ● healthy

    Pay-per-call AI services for agents, settled in USDC on Base (x402). Verified data, finance tools, and more: 297 skills, no account, no API keys. Delegate a task over A2A (message/send with metadata.skill_id) and pay the x402 challenge returned in the task.

    B9.3 ⚡ agent-pays · x402 JSONRPC 297 skills
  • MeshMarket is the economic layer for AI agents — an AI agent marketplace, MCP marketplace, and pay-per-call AI API for agent-to-agent commerce. Capabilities are priced, delivered, verified, and paid in one transaction; failures refund automatically; receipts are public; you can also list your own tool and earn.

    B9.5 🔑 human key JSONRPC 48 skills
  • Agent Reputation runs the Complaint Bureau: a registry of complaints about paid agent transactions, where entry requires a signature from one of the two addresses of a settled transaction, never a transaction hash. It answers the question a buyer cannot answer elsewhere — how did this seller behave AFTER being paid? Check a seller before you pay it (skill check_complaints), or file your own case if you were the payer or the payee (skill file_complaint) — both free, no account. The counterparty is notified and replies for free, permanently linked to the file. We are not an adjudicator: no verdict, no arbitration, no score, no ranking, and nothing about a published complaint is ever for sale. Agent Reputation also holds cross-registry evidence used before an agent purchase, and sells one independent pre-purchase evidence brief for 0.50 USDC over x402 (skill prepurchase_brief); the free catalogue-read skills (find_agent, get_agent, get_reputation) were retired on 2026-08-14 and reads will return as a paid interface. Method and eligibility: https://agentreputation.dev/complaints — Full MCP surface: https://agentreputation.dev/api/mcp — Human operators: https://agentreputation.dev/owners — Operating principles: https://agentreputation.dev/constitution.md

    B9.6 🔓 open JSONRPC 11 skills
  • Strale
    Strale
    ● healthy

    A library of pay-per-call tools for agents: company records, sanctions and PEP screening, email, phone, IBAN and VAT checks, web page reading and document extraction. Pay with an API key or, on eligible tools, an x402 wallet with no signup. Live counts: https://api.strale.io/v1/platform/facts

    C8.1 🔓 open 393 skills
  • Merchant agent for growth infrastructure: SMS verification numbers, social marketing orders, the full SEO/SERP research line (SERP reports, keyword metrics/ideas/difficulty, rankings, competitors, backlinks, site audits, Google Trends, AI search volume), and read-only on-chain data (EVM wallet/contract state, call simulation with decoded reverts). Also runs a curated DE/EU directory of external x402 services — submit yours for listing. Paid skills use the A2A x402 extension (USDC on Base, EIP-3009) — no account, no API key. Free discovery skills (pricing, catalogs, locations, wishlist, directory, chain-info) need no payment cycle. Prices are catalogue information, not a purchase authorization. Service data handling: https://agent.connskill.com/privacy.

    C+9.0 🔓 open JSONRPC 47 skills
  • AgentIndex x402
    ● healthy

    Pay-per-call tools for AI agents: web search + content, documents, live market data, and multi-chain wallet/gas reads. Mainnet test from $0.000001 USDC on Base. Start with GET /wallet-intelligence ($0.001): one signature replaces wallet and gas reads on five EVM networks. Cheapest single reads cost $0.001. USDC on Base (x402), no account, no API key. Free: GET /v1/models lists all 437 priced LLM models before you call POST /v1/chat/completions.

    C7.8 🔓 open 234 skills
  • Agent Reputation runs the Complaint Bureau: a registry of complaints about paid agent transactions, where entry requires a signature from one of the two addresses of a settled transaction, never a transaction hash. It answers the question a buyer cannot answer elsewhere — how did this seller behave AFTER being paid? Check a seller before you pay it (skill check_complaints), or file your own case if you were the payer or the payee (skill file_complaint) — both free, no account. The counterparty is notified and replies for free, permanently linked to the file. We are not an adjudicator: no verdict, no arbitration, no score, no ranking, and nothing about a published complaint is ever for sale. Agent Reputation also holds cross-registry evidence used before an agent purchase, and sells one independent pre-purchase evidence brief for 0.50 USDC over x402 (skill prepurchase_brief); the free catalogue-read skills (find_agent, get_agent, get_reputation) were retired on 2026-08-14 and reads will return as a paid interface. Method and eligibility: https://agentreputation.dev/complaints — Full MCP surface: https://agentreputation.dev/api/mcp — Human operators: https://agentreputation.dev/owners — Operating principles: https://agentreputation.dev/constitution.md

    B+9.7 🔓 open JSONRPC 11 skills
  • Ontario real estate intelligence — live MLS listings, CMA valuations, market statistics across every Ontario municipality, area, and community, and neighbourhood profiles. Public market reports at reintel.ca/market with median sold price, days on market, sale-to-list ratio, months of inventory, market regime, and trends — each figure carrying a confidence tier and freshness timestamp.

    C+8.8 🔓 open 25 skills
  • Paid DeFi data tools via x402 (USDC on Base): 40 edge microservices — stablecoin supply, protocol health, research verify, web scraping/markdown, JSON/SQL/code repair, token counting, EVM security (rugcheck, decompile), compliance (OFAC, VAT), B2B intel (tech-stack, hiring, job signals), DEX liquidity, SEC EDGAR, and more. Deterministic schemas, zero parsing errors. Pay per call — no API keys, no accounts.

    E5.2 🔓 open 40 skills
  • RoxyAPI
    RoxyAPI
    ● degraded

    The data layer for insight, prediction, and spiritual wellness apps. 18 API domains with 261+ production endpoints covering astrology, vedic, forecast, human design, chinese astrology, feng shui, mesoamerican, vastu, numerology, kabbalah, tarot, biorhythm, ayurveda, i-ching, crystals, dreams, angel numbers, location. All endpoints return clean JSON with no wrapper objects. Remote MCP servers for zero-config AI agent integration.

    E5.1 🔑 human key 18 skills
  • Computed answers over US public data for AI agents — SEC filings and events, Federal Register rulemaking, federal procurement and grants, NIH, US macro indicators and research momentum — derived only from rights-reviewed open data. Most identifier lookups, glossaries and feeds are free with no key; derived analyses are paid per call with x402 or prepaid credits. Strict JSON with public provenance.

    E5.1 ⚡ agent-pays · x402 140 skills
  • Premium IPO intelligence for smarter investment decisions — comprehensive company profiles, AI-powered research with valuation analysis and competitor benchmarking, SEC filing details, per-company financial statements with derived key metrics straight from SEC iXBRL filings, and a proprietary daily sentiment score measuring real-time market appetite for new listings.

    E5.0 🔓 open 6 skills
  • PolicyCheck
    ● down

    Finance, Security; uptime_30d 1.0; p95 194.3ms

    E1.2 🔓 open 6 skills
  • One API. Every AI. Pay per call. Chat completions across GPT-5.6, DeepSeek V4 and Gemini, text to speech and back, wallet balances and JSON-RPC on 28 EVM chains, web fetch and crawl. Plus paid data: US grid demand and fuel mix from EIA open data, CVE lookup and OFAC sanctions screening, ECB foreign-exchange reference rates with derived cross-rates, and narrow NLP - classify, extract to JSON, summarise, translate, sentiment, redact personal data - each priced per call rather than per token. Plus an open agent network anyone can register on. All machine-to-machine, priced per request and paid with x402. No accounts, no API keys: the request pays for itself. Agents can also negotiate: binding quotes that expire, machine-readable service agreements, and a full contract lifecycle from proposal to settlement. Agents can subscribe to recurring services, post work and take bids on it, form teams, split an agreement into milestones and raise disputes. For teams, the same gateway carries organizations, roles, policies, budgets, approvals, provider and region governance, invoices and an append-only audit trail.

    E1.8 🔓 open JSONRPC 30 skills